# OpenLayers.Geometry.Curve

A Curve is a MultiPoint, whose points are assumed to be connected. To this end, we provide a “getLength()” function, which iterates through the points, summing the distances between them.

#### Inherits

- OpenLayers.Geometry.MultiPoint

Summary

OpenLayers.Geometry.Curve | A Curve is a MultiPoint, whose points are assumed to be connected.
Constructor |
OpenLayers.Geometry.Curve |
Functions |
getLength | {Float} The length of the curve
getGeodesicLength | Calculate the approximate length of the geometry were it projected onto the earth.

### Constructor

### OpenLayers.Geometry.Curve

#### Parameters

point | {Array(OpenLayers.Geometry.Point)}

### Functions

### getLength

> getLength: function()

#### Returns

{Float} The length of the curve

### getGeodesicLength

> getGeodesicLength: function( | projection | )

Calculate the approximate length of the geometry were it projected onto the earth.

projection | {OpenLayers.Projection} The spatial reference system for the geometry coordinates. If not provided, Geographic/WGS84 is assumed.

#### Returns

{Float} The appoximate geodesic length of the geometry in meters.

> getLength: function()

{Float} The length of the curve

> getGeodesicLength: function( | projection | )

Calculate the approximate length of the geometry were it projected onto the earth.
MultiPoint is a collection of Points.
Point geometry class.
Class for coordinate transforms between coordinate systems.
Close